Bug 56867 - Missing Option "HWCursor" "off" for ATI Mach64 cards
Missing Option "HWCursor" "off" for ATI Mach64 cards
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-29 02:09 EST by Joachim Backes
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-11 01:58:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2001-11-29 02:09:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.16 i686)

Description of problem:
After Xconfigurator has produced an /etc/X11/XF86config for XFree86-4.1.0
with ATI Mach64 cards and starting X, the Mouse
pointer is invisible. The XF86config documentataion says that one has to
insert an option in the Device Section for the ATI Mach64 card which solves
that problem:

	Option "HWCursor" "off"

Xconfigurator for RedHat 7.2 should fix this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. startx
2.
3.
	

Actual Results:  see above

Expected Results:  Visible Cursor

Additional info:

.
Comment 1 Mike A. Harris 2001-12-02 08:29:00 EST
The option should be:

Option "swcursor"

And the config file for XFree86 4.x is /etc/X11/XF86Config-4
not /etc/X11/XF86Config

man XF86Config for details of where the X server looks for config files.

The Hardware cursor functions fine on the Mach64 cards that I have here,
so it would not make any sense to disable it on all Mach64 cards.  What
would be best, is to fix the hardware cursor code for your card if it is
broken, rather than disabling it.

To do either however I will need some specific details from you.
Please provide the following info:

lspci -v
lspci -n

And please attach your /var/log/XFree86.0.log and config file(s)
using the link below.  I will try to find a fix for this, and if
not, I'll change the default config in future releases.
Comment 2 Joachim Backes 2001-12-03 03:05:52 EST
1. You are right, the file name is /etc/X11/XF86Config-4
=========================================================
2. The option
	
	Option "HWCursor" "off"

    ist the same as

	Option "SWCursor"
=========================================================================

3. lspci -v
00:00.0 Host bridge: Intel Corporation 440LX/EX - 82443LX/EX Host bridge (rev
03)
	Flags: bus master, medium devsel, latency 64
	Memory at e4000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440LX/EX - 82443LX/EX AGP bridge (rev 03)
(prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64

00:04.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 01)
	Flags: bus master, medium devsel, latency 0

00:04.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
[Master])
	Flags: bus master, medium devsel, latency 32
	I/O ports at d800 [size=16]

00:04.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
	Flags: bus master, medium devsel, latency 32, IRQ 10
	I/O ports at d400 [size=32]

00:04.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 01)
	Flags: medium devsel, IRQ 9

00:06.0 SCSI storage controller: Adaptec AIC-7880U (rev 01)
	Subsystem: Adaptec AIC-7880P Ultra/Ultra Wide SCSI Chipset
	Flags: bus master, medium devsel, latency 32, IRQ 10
	I/O ports at d000 [disabled] [size=256]
	Memory at e3000000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at <unassigned> [disabled] [size=64K]
	Capabilities: [dc] Power Management version 1

00:0a.0 VGA compatible controller: ATI Technologies Inc 210888GX [Mach64 GX]
(rev 03) (prog-if 00 [VGA])
	Flags: stepping, medium devsel
	Memory at e2000000 (32-bit, non-prefetchable) [size=16M]
	Expansion ROM at 000c0000 [disabled] [size=64K]

00:0c.0 Ethernet controller: 3Com Corporation 3c900 10BaseT [Boomerang]
	Flags: bus master, medium devsel, latency 32, IRQ 11
	I/O ports at b800 [size=64]
	Expansion ROM at <unassigned> [disabled] [size=64K]

=====================================================================

4. lspci -n
00:00.0 Class 0600: 8086:7180 (rev 03)
00:01.0 Class 0604: 8086:7181 (rev 03)
00:04.0 Class 0601: 8086:7110 (rev 01)
00:04.1 Class 0101: 8086:7111 (rev 01)
00:04.2 Class 0c03: 8086:7112 (rev 01)
00:04.3 Class 0680: 8086:7113 (rev 01)
00:06.0 Class 0100: 9004:8078 (rev 01)
00:0a.0 Class 0300: 1002:4758 (rev 03)
00:0c.0 Class 0200: 10b7:9000

=======================================================================
5. Contents of /etc/X11/XF86Config-4 after insertion
   of the above option

# XFree86 4.0 configuration generated by Xconfigurator

Section "ServerLayout"
	Identifier "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

# By default, Red Hat Linux 6.0 and later use xfs

Section "Files"
	FontPath "unix/:7100"
EndSection

# Module loading section

Section "Module"
	Load  "dbe"		# Double-buffering
	Load  "GLcore"		# OpenGL support
	Load  "dri"		# Direct rendering infrastructure
	Load  "glx"		# OpenGL X protocol interface
	Load  "extmod"		# Misc. required extensions
	Load  "v4l"		# Video4Linux
	# Load  "pex5"		# PHIGS for X 3D environment (obsolete)
	# Load  "record"	# X event recorder
	# Load  "xie"		# X Image Extension (obsolete)
	# You only need the following two modules if you do not use xfs.
	# Load  "freetype"	 # TrueType font handler
	# Load  "type1"		# Adobe Type 1 font handler
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option      "XkbLayout"	"de"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option      "Device" "/dev/mouse"
	Option      "Protocol" "PS/2"
	Option      "Emulate3Buttons" "on"
	Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier "Siemens Nixdorf MCM1702"
	VendorName "Unknown"
	ModelName  "Unknown"
	HorizSync 30-82
	VertRefresh 50-150
	Option "dpms"
EndSection

Section "Device"
	Identifier "ATI Mach64"
	Driver "ati"
	BoardName "Unknown"
	Option      "HWCursor" "off"

EndSection

Section "Device"
	Identifier "Linux Frame Buffer"
	Driver "fbdev"
	BoardName "Unknown"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device "ATI Mach64"
	Monitor "Siemens Nixdorf MCM1702"
	DefaultDepth 8
	Subsection "Display"
		Depth 8
		Modes "1024x768"
	EndSubSection
EndSection

Section "DRI"
	Mode 0666
EndSection

==================================================================

I had these problems on 2 of totally 3 pc's with ATI Mach64 cards.
On 1 pc, the problem did not arise. I have added the output of
lspci -v and lspci -n on this one pc which had not the cursor problem:

00:00.0 Host bridge: VIA Technologies, Inc. VT82C598 [Apollo MVP3] (rev 04)
	Flags: bus master, medium devsel, latency 16
	Memory at d8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x
AGP] (prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: dc000000-dfffffff

00:07.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev 23)
	Subsystem: VIA Technologies, Inc. VT82C596/A/B PCI to ISA Bridge
	Flags: bus master, stepping, medium devsel, latency 0

00:07.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 10) (prog-if
8a [Master SecP PriP])
	Flags: bus master, medium devsel, latency 32
	I/O ports at e000 [size=16]
	Capabilities: [c0] Power Management version 2

00:07.2 USB Controller: VIA Technologies, Inc. UHCI USB (rev 11) (prog-if 00
[UHCI])
	Subsystem: Unknown device 0925:1234
	Flags: bus master, medium devsel, latency 32, IRQ 10
	I/O ports at e400 [size=32]
	Capabilities: [80] Power Management version 2

00:07.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management (rev 30)
	Flags: medium devsel

00:13.0 Ethernet controller: 3Com Corporation 3c900 10BaseT [Boomerang]
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at e800 [size=64]
	Expansion ROM at e0000000 [disabled] [size=64K]

01:00.0 VGA compatible controller: ATI Technologies Inc Rage XL AGP (rev 65)
(prog-if 00 [VGA])
	Subsystem: ATI Technologies Inc: Unknown device 0008
	Flags: bus master, stepping, medium devsel, latency 32, IRQ 11
	Memory at dc000000 (32-bit, non-prefetchable) [size=16M]
	I/O ports at d000 [size=256]
	Memory at de000000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [50] AGP version 1.0
	Capabilities: [5c] Power Management version 1

lspci -n:

00:00.0 Class 0600: 1106:0598 (rev 04)
00:01.0 Class 0604: 1106:8598
00:07.0 Class 0601: 1106:0596 (rev 23)
00:07.1 Class 0101: 1106:0571 (rev 10)
00:07.2 Class 0c03: 1106:3038 (rev 11)
00:07.3 Class 0600: 1106:3050 (rev 30)
00:13.0 Class 0200: 10b7:9000
01:00.0 Class 0300: 1002:474d (rev 65)


Comment 3 Mike A. Harris 2002-03-11 01:58:52 EST
Does this problem still show up in the latest rawhide version of
XFree86 4.2.0-6.44?
Comment 4 Mike A. Harris 2002-05-17 20:36:06 EDT
Closing as CURRENTRELEASE of 7.3, presumed either fixed, or was just a
misconfiguration issue.

Note You need to log in before you can comment on or make changes to this bug.